{% extends 'base.html.twig' %}

{% block title %}Bienvenue{% endblock %}

{% block body %}
<main class="d-flex justify-content-center">
    <div class="card col-lg-3 col-md-3 col-sm-12 col-xs-12 bgTea my-3">
        <div class="card-body">
            <form method="post">
                {% if error %}
                <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                {% endif %}

                {% if app.user %}
                <div class="mb-5">
                    Vous êtes déja connecté avec le compte {{ app.user.userIdentifier }}, <a title="Déconnexion" class="txtGreen" href="{{ path('app_logout') }}"><i class="fa-solid fa-right-from-bracket fa-2x"></i></a>
                </div>
                {% endif %}

                <h1 class="h3 mb-5 font-weight-normal">Connexion</h1>
                <div class="mb-3">
                    <label for="inputEmail">Email</label>
                    <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control"
                        autocomplete="email" required autofocus>
                </div>
                <div class="mb-3">
                    <label for="inputPassword">Mot de passe</label>
                    <input type="password" name="password" id="inputPassword" class="form-control"
                        autocomplete="current-password" required>

                    <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
                </div>
                {#
        Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
        See https://symfony.com/doc/current/security/remember_me.html

        <div class="checkbox mb-3">
            <label>
                <input type="checkbox" name="_remember_me"> Remember me
            </label>
        </div>
    #}

                <button class="btn btn-lg bgGreen txtWhite" type="submit">
                    Connexion
                </button>
                <div class="text-center py-2">
                <p>Pas encore de compte? <a class="txtGreen" href="{{ path('app_register') }}">Inscrivez-vous</a></p>
                </div>
            </form>
        </div>
    </div>
</main>
{% endblock %}